function [] = plotCurves(musArr525, corArrDB, cntArr525, clickDBtimeMs, clickBtimeMs, corValArrB, startClickNr,  endClickNr, workDir)
    
    % musArr44
    %  || sinClickArr44
    %  | clickArr12_44
    %  cntArr44 ch2
    %  cntArr44 ch1
    % Alle kurver må være sentrert i 0 og gå fra -0.5 til +0.5
    % Vindu Yakse går fra 0 (topp) til -8 (bunn)
    
    if startClickNr < 1
        startClickNr = 1;
    end
    if endClickNr > size(clickDBtimeMs, 1)
        endClickNr = size(clickDBtimeMs, 1);
    end
    
    noClick = endClickNr - startClickNr;
    
    fs = 525;
    noBeatsPerBar = 4;
    
    startSamplNr = cl2sa(clickDBtimeMs, startClickNr);
    endSamplNr = cl2sa(clickDBtimeMs, endClickNr);
    
    sz = get(0,'ScreenSize'); % xStart yStartFraBunn bredde høyde
    fontSise = 8;
    vindusHoyde = sz(4)/2.2; % I piksler basis screenHeigth
    
    axer = [startSamplNr endSamplNr -6.7 0];
    
    textXoffset = (endSamplNr - startSamplNr) / 120; % For å shifte text litt
    
    offWav = 0.02; % Før
    wavAmplitude = 0.3;
    hoyWav = 2*wavAmplitude; % Peak to peak
    offKurv1 = 0.15; % Før første kurve
    hoyKurv = 3; % Peak to peak
    offKurvN = 0.15; % Før Nte kurve
    offText = 0.2; % Før hver kommentar linje
    offAgent = 1.6;
    scalAgent = 0.6;
    
    tittel = [workDir  ' - - -  pilOpp: zoomUt - - - pilNed: zoomInn - - - pilH: panH - - - pilV: panV - - - <: panV - - -  >: panH - - - '];
    tittel = [tittel  'p: play - - - x: preview - - - X: previewSakte - - - x: previewEndaSaktere - - - '];
    tittel = [tittel 'r: reload - - - q: quit - - - d: demo - - - D: demoSlow - - - o: run Ordive - - - '];
    tittel = [tittel 'A: plotAll - - - a: resetPlot '];
    figure(1);clf;
    %set(gcf, 'NumberTitle', 'off','name', tittel, 'MenuBar', 'none','position', [0+2 sz(4)-vindusHoyde sz(3)-2 vindusHoyde],'color', [0.08 0.08 0.08]);
    
    %% Musikk wav
    musArr525 = wavAmplitude .* musArr525;
    off = offWav + hoyWav/2; % y avstand til 0 på wav graf
    plot([startSamplNr : endSamplNr], musArr525(startSamplNr : endSamplNr) - off, 'color', [1 0.2 0.2]);
    
    % Click nr
    if noClick < 200
        for i = startClickNr : endClickNr
            samplXval = cl2sa(clickDBtimeMs, i);
            text(samplXval, -offWav-hoyWav, num2str(i), 'color', [0.7 0.7 1], 'fontSize', fontSise); % Click nummer
        end
    end
    
    hold on;
    set(gca, 'Position', [0.03 0.03 0.95 0.95]); % venstre bunn høyre høyde
    axis tight; axis(axer); axis off;
    
    %% Kontroll kurver
    
    cntArr525 = hoyKurv .* cntArr525;
    
    lineYvals = 0.75 .* [-0.75 -0.5 -0.25 0 0.25 0.5 0.75];
    
    % KURVE 1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    off = off + hoyWav/2 + offKurv1 + hoyKurv/2 -0.4;
    line([startSamplNr endSamplNr], [-off, -off], 'color', [0.4 0.4 0.4]); % null
    line([startSamplNr endSamplNr], [-off+lineYvals(7), -off+lineYvals(7)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(6), -off+lineYvals(6)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(5), -off+lineYvals(5)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(3), -off+lineYvals(3)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(2), -off+lineYvals(2)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(1), -off+lineYvals(1)], 'color', [0.4 0.1 0.1]);
    plot([startSamplNr : endSamplNr], cntArr525(startSamplNr :  endSamplNr, 1)/4 - off, 'color', [0.6 0.6 1]); % Kurven
    
    % DB linjer
    if noClick < 200
        for i = startClickNr : endClickNr
            samplXval = cl2sa(clickDBtimeMs, i);
            line([samplXval, samplXval], [-off-0.75*hoyKurv/4, -off+0.75*hoyKurv/4], 'color', [1 0 0]);
        end
    end
    
    % B linjer
    if noClick < 100
        for i = startClickNr : endClickNr
            for ii = 1 : noBeatsPerBar
                samplXval = cl2sa(clickBtimeMs, (i-1)*noBeatsPerBar + ii);
                line([samplXval samplXval], [-off-0.75*hoyKurv/4, -off+0.75*hoyKurv/4], 'color', [0.8 0 0], 'LineStyle', ':');
            end
        end
    end
    
    % Punkter o og text val
    for i = startClickNr : endClickNr
        for ii = 1 : noBeatsPerBar
            if i < endClickNr || ii == 1
                samplXval = cl2sa(clickBtimeMs, (i-1)*noBeatsPerBar + ii);
                c1 = corValArrB((i-1)*noBeatsPerBar + ii, 2); % value
                if ~isnan(c1)
                    if noClick < 20
                        text(samplXval, -off + cntArr525(samplXval, 1)/4 + 0.12, num2str(c1), 'color', [1 1 1], 'fontSize', fontSise); % u d 0
                    end
                    %if selectionRange(1) < samplXval && samplXval < selectionRange(2)
                    if noClick < 100
                        plot(samplXval, -off + cntArr525(samplXval, 1)/4, 'o', 'color', [1 1 1], 'MarkerSize',3, 'MarkerFaceColor', [1 1 1]);
                    end
                    %else
                    %    plot(samplXval, -off + cntArr525(samplXval, 1)/4, 'o', 'color', [0.7 0.7 1]);
                    %end
                end
            end
        end
    end
    
    % Kurve nummer
    text(startSamplNr - textXoffset, -off, 'c1', 'color', [1 1 .1], 'fontSize', fontSise);
    
    
    % KURVE 2 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    off = off + offKurvN + hoyKurv/2;
    line([startSamplNr endSamplNr], [-off, -off], 'color', [0.4 0.4 0.4]); % null
    line([startSamplNr endSamplNr], [-off+lineYvals(7), -off+lineYvals(7)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(6), -off+lineYvals(6)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(5), -off+lineYvals(5)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(3), -off+lineYvals(3)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(2), -off+lineYvals(2)], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+lineYvals(1), -off+lineYvals(1)], 'color', [0.4 0.1 0.1]);
    plot([startSamplNr : endSamplNr], cntArr525(startSamplNr :  endSamplNr, 2)/4 - off, 'color', [0.6 0.6 1]); % Kurven
    
    % DB linjer
    if noClick < 200
        for i = max([startClickNr 1]) : endClickNr
            samplXval = cl2sa(clickDBtimeMs, i);
            line([samplXval, samplXval], [-off-0.75*hoyKurv/4, -off+0.75*hoyKurv/4], 'color', [1 0 0]);
        end
    end
    
    % B linjer
    if noClick < 100
        for i = max([startClickNr 1]) - 1 : endClickNr
            for ii = 1 : noBeatsPerBar
                samplXval = cl2sa(clickBtimeMs, i*noBeatsPerBar + ii);
                line([samplXval samplXval], [-off-0.75*hoyKurv/4, -off+0.75*hoyKurv/4], 'color', [0.8 0 0], 'LineStyle', ':');
            end
        end
    end
    
    
    % Punkter o og text val
    for i = startClickNr : endClickNr
        for ii = 1 : noBeatsPerBar
            if i < endClickNr || ii == 1
                samplXval = cl2sa(clickBtimeMs, (i-1)*noBeatsPerBar + ii);
                c1 = corValArrB((i-1)*noBeatsPerBar + ii, 3);
                if ~isnan(c1)
                    if noClick < 20
                        text(samplXval, -off + cntArr525(samplXval, 2)/4 + 0.12, num2str(c1), 'color', [1 1 1], 'fontSize', fontSise); % u d 0
                    end
                    %if selectionRange(1) < samplXval && samplXval < selectionRange(2)
                    if noClick < 100
                        plot(samplXval, -off + cntArr525(samplXval, 2)/4, 'o', 'color', [1 1 1], 'MarkerSize',3, 'MarkerFaceColor', [1 1 1]);
                    end
                    %else
                    %    plot(samplXval, -off + cntArr525(samplXval, 1)/4, 'o', 'color', [0.7 0.7 1]);
                    %end
                end
            end
        end
    end
    
    % Kurve nummer
    text(startSamplNr - textXoffset, -off, 'c2', 'color', [1 1 .1], 'fontSize', fontSise);
    
    %%
    
    % COR txt og agent
    off = off + offText + hoyKurv/4;
    oldCom2 = "";
    for i = startClickNr: endClickNr
        % Komments
        samplXval = cl2sa(clickDBtimeMs, i);
        
        if noClick < 100
            c = corArrDB{i, 2}; % movX
            text(samplXval, -off, c, 'color', [.6 0.6 1], 'fontSize', fontSise);
            
            c = corArrDB{i, 3}; % comm nivå 1
            text(samplXval, -off-offText, c, 'color', [1 1 .1], 'fontSize', fontSise);
            
            c = corArrDB{i, 4}; % comm nivå 2
            text(samplXval, -off-offText*2, c, 'color', [1 0.5 .1], 'fontSize', fontSise);
            
            if ~strcmp(c, "") && strcmp(c,oldCom2)
                samplXvalOld = cl2sa(clickDBtimeMs, i-1);
                line([samplXval samplXvalOld], [-off-offText*3 -off-offText*3], 'color', [0.4 0.4 0.4]); % Linje under Com2
            end
            oldCom2 = c;
        end
        
        % Agent
        
        if noClick < 40
            for ii = 1 : noBeatsPerBar
                if i < endClickNr || ii == 1
                    samplXval = cl2sa(clickBtimeMs, (i-1)*noBeatsPerBar + ii);
                    
                    c1 = corValArrB((i-1)*noBeatsPerBar + ii, 3);
                    c2 = corValArrB((i-1)*noBeatsPerBar + ii, 2);
                    
                    if ~isnan(c1) || ~isnan(c2)
                        plotAgent2(cntArr525(samplXval+1, 1)./hoyKurv, cntArr525(samplXval+1, 2)./hoyKurv, samplXval, -off-offText*2-offAgent, scalAgent);
                    end
                end
            end
        end
    end
    
    
end






